\documentclass{standalone}
\usepackage{tikz}
\usetikzlibrary{arrows,automata, positioning}

\begin{document}
\begin{tikzpicture}[node distance=1cm]
	\tikzstyle{soc}=[fill=red, circle]
	\tikzstyle{eco}=[fill=green, circle]
	\tikzstyle{arrow} = [%
		thick,
		->,
		>=stealth,
	]

	\node[soc] (m1s1) {};
	\node[eco] (m1e1) [below of=m1s1] {};
	\node (m1t1) [below of=m1e1, yshift=0.5cm, align=flush center] {$0$};
	
	\node[soc] (m2s1) [left of=m1s1, xshift=2.5cm] {};
	\node[eco] (m2e1) [below of=m2s1] {};
	\path (m2e1) edge [arrow] (m2s1);
	\node (m2t1) [below of=m2e1, yshift=0.5cm, align=flush center] {$1$};
	
	\node[soc] (m3s1) [left of=m2s1, xshift=2.5cm] {};
	\node[eco] (m3e1) [below of=m3s1] {};
	\path (m3s1) edge [arrow] (m3e1);
	\node (m3t1) [below of=m3e1, yshift=0.5cm, align=flush center] {$2$};

	\node[soc] (m4s1) [left of=m3s1, xshift=2.5cm] {};
	\node[eco] (m4e1) [below of=m4s1] {};
	\path (m4e1) edge [arrow, bend right] (m4s1);
	\path (m4s1) edge [arrow, bend right] (m4e1);
	\node (m4t1) [below of=m4e1, yshift=0.5cm, align=flush center] {$3$};
\end{tikzpicture}
\end{document}
